/** Reset some basic elements */
body, h1, h2, h3, h4, h5, h6, p, blockquote, pre, hr, dl, dd, ol, ul, figure { margin: 0; padding: 0; }

/** Basic styling */
html { height: 100%; }

body { font-family: "jaf-bernino-sans", "Lucida Grande", "Lucida Sans Unicode", PingHei, YaHei, STHeitiSC-Light, "Lucida Sans", Geneva, Verdana, sans-serif; font-size: 18px; -webkit-font-smoothing: antialiased; line-height: 1.5; font-weight: 300; color: #111; background-color: #fdfdfd; -webkit-text-size-adjust: 100%; position: relative; height: 100%; overflow: hidden; }

/** Set `margin-bottom` to maintain vertical rhythm */
h1, h2, h3, h4, h5, h6, p, blockquote, pre, ul, ol, dl, figure, .highlight { margin-bottom: 15px; }

/** Images */
img { max-width: 100%; vertical-align: middle; }

/** Figures */
figure > img { display: block; }

figcaption { font-size: 15.75px; }

/** Lists */
ul, ol { list-style: none; margin-left: 30px; }

li > ul, li > ol { margin-bottom: 0; }

/** Headings */
h1, h2, h3, h4, h5, h6 { font-weight: 300; }

/** Links */
a { color: #08c; text-decoration: none; -webkit-transition: color .2s; -moz-transition: color .2s; -ms-transition: color .2s; -o-transition: color .2s; transition: color .2s; }
a:visited { color: #08c; }
a:hover { color: #005580; text-decoration: underline; }

/** Blockquotes */
blockquote { color: #828282; border-left: 4px solid #e8e8e8; padding-left: 15px; font-size: 18px; letter-spacing: -1px; font-style: italic; }
blockquote > :last-child { margin-bottom: 0; }

/** Code formatting */
pre, code { font-size: 15px; border: 1px solid #e8e8e8; border-radius: 3px; background-color: #fff; }

code { padding: 1px 5px; }

pre { padding: 8px 12px; overflow-x: scroll; }
pre > code { border: 0; padding-right: 0; padding-left: 0; }

/** Wrapper */
.wrapper { margin-right: auto; margin-left: auto; padding-right: 30px; padding-left: 30px; }
@media screen and (max-width: 800px) { .wrapper { max-width: -webkit-calc(800px - (30px)); max-width: calc(800px - (30px)); padding-right: 15px; padding-left: 15px; } }

/** Clearfix */
.wrapper:after, .footer-col-wrapper:after { content: ""; display: table; clear: both; }

/** Icons */
.icon > svg { display: inline-block; width: 16px; height: 16px; vertical-align: middle; }
.icon > svg path { fill: #828282; }

i { font-style: normal; }

.hide { display: none; }

.prio-hide { display: none !important; }

/** Site header */
.site-header { border-bottom: 1px solid #e8e8e8; min-height: 56px; position: fixed; top: 0; left: 0; width: 100%; background: rgba(255, 255, 255, 0.8); z-index: 5; }
.site-header .wrapper { padding: 0 350px 0 0; position: relative; }
.site-header .wrapper .category-list { width: 620px; margin: 0 auto; height: 56px; line-height: 56px; }
.site-header .wrapper .category-list li { float: left; margin: 0 40px 0 0; }
.site-header .wrapper .category-list li a { font-size: 12px; letter-spacing: .1em; text-transform: uppercase; color: rgba(0, 0, 0, 0.6); -webkit-transition: color .3s; -moz-transition: color .3s; -ms-transition: color .3s; -o-transition: color .3s; transition: color .3s; }
.site-header .wrapper .category-list li a:hover { color: rgba(0, 0, 0, 0.8); text-decoration: none; }
.site-header .wrapper .category-list li.activated { box-shadow: 0 2px 0 #000; }
.site-header .wrapper .category-list li.activated a { color: rgba(0, 0, 0, 0.8); font-weight: 700; }
.site-header .wrapper .site-title { font-size: 26px; line-height: 56px; letter-spacing: -1px; margin-bottom: 0; position: absolute; top: 0; left: 20px; font-weight: 700; }
.site-header .wrapper .site-title, .site-header .wrapper .site-title:visited { color: #424242; }
.site-header .wrapper .site-title img { display: block; }

.about-me { position: absolute; top: 50%; margin-top: -16px; right: 30px; line-height: 30px; font-size: 12px; color: #c3f476; display: inline-block; vertical-align: middle; padding: 0 15px; border: 1px solid #c3f476; border-radius: 20px; -webkit-transition: color .3s, border-color .3s; -moz-transition: color .3s, border-color .3s; -ms-transition: color .3s, border-color .3s; -o-transition: color .3s, border-color .3s; transition: color .3s, border-color .3s; }
.about-me:visited { color: #c3f476; }
.about-me:hover { color: #b1da22; border-color: #b1da22; text-decoration: none; }

.site-nav { float: right; line-height: 56px; }
.site-nav .menu-icon { display: none; }
.site-nav .page-link { color: #111; line-height: 1.5; }
.site-nav .page-link:not(:first-child) { margin-left: 20px; }
@media screen and (max-width: 600px) { .site-nav { position: absolute; top: 9px; right: 30px; background-color: #fdfdfd; border: 1px solid #e8e8e8; border-radius: 5px; text-align: right; }
  .site-nav .menu-icon { display: block; float: right; width: 36px; height: 26px; line-height: 0; padding-top: 10px; text-align: center; }
  .site-nav .menu-icon > svg { width: 18px; height: 15px; }
  .site-nav .menu-icon > svg path { fill: #424242; }
  .site-nav .trigger { clear: both; display: none; }
  .site-nav:hover .trigger { display: block; padding-bottom: 5px; }
  .site-nav .page-link { display: block; padding: 5px 10px; } }

/** Home */
.home-page { padding: 60px 350px 0 0; position: absolute; top: 0; bottom: 0; left: 0; right: 0; overflow: auto; }
.home-page .home { max-width: 620px; margin: 0 auto; }
.home-page .home .post-list li { padding-bottom: 20px; border-bottom: 1px solid #e8e8e8; }

/** Side content */
.side-content { width: 350px; background: #f9f9f9; position: absolute; top: 60px; bottom: 0; right: 0; }
.side-content .wrapper { padding-top: 40px; font-size: 15px; color: #828282; }
.side-content .wrapper ol { margin: 0 0 20px; }
.side-content .wrapper .title { font-size: 18px; font-weight: 300; margin-bottom: 15px; color: #111; }
.side-content .wrapper .friends { padding-top: 20px; }
.side-content .wrapper .friends li { margin-bottom: 5px; }
.side-content .wrapper .friends .tip { display: block; font-size: 12px; color: #828282; }

/** Banner */
.banner { height: 400px; margin-top: -56px; position: relative; background: -webkit-radial-gradient(#fefefe, #f8f8f8); line-height: 400px; text-align: center; display: none; }
.banner .logo { font-size: 26px; }

/** Site footer */
.site-footer { border-top: 1px solid #e8e8e8; padding: 30px 0; }

.footer-heading { font-size: 18px; margin-bottom: 15px; }

.contact-list, .social-media-list { list-style: none; margin-left: 0; }

.footer-col-wrapper { font-size: 15px; color: #828282; margin-left: -15px; }

.footer-col { float: left; margin-bottom: 15px; padding-left: 15px; }

.footer-col-1 { width: -webkit-calc(35% - (30px / 2)); width: calc(35% - (30px / 2)); }

.footer-col-2 { width: -webkit-calc(20% - (30px / 2)); width: calc(20% - (30px / 2)); }

.footer-col-3 { width: -webkit-calc(45% - (30px / 2)); width: calc(45% - (30px / 2)); }

@media screen and (max-width: 800px) { .footer-col-1, .footer-col-2 { width: -webkit-calc(50% - (30px / 2)); width: calc(50% - (30px / 2)); }
  .footer-col-3 { width: -webkit-calc(100% - (30px / 2)); width: calc(100% - (30px / 2)); } }
@media screen and (max-width: 600px) { .footer-col { float: none; width: -webkit-calc(100% - (30px / 2)); width: calc(100% - (30px / 2)); } }
/** Page content */
.page-content { padding: 30px 0; }

.page-heading { font-size: 20px; }

.post-list { margin-left: 0; list-style: none; }
.post-list > li { margin-bottom: 30px; }

.post-meta { font-size: 15.75px; color: #828282; }

.post-link { font-size: 34px; color: #111; -webkit-transition: color .3s; -moz-transition: color .3s; -ms-transition: color .3s; -o-transition: color .3s; transition: color .3s; }
.post-link:visited { color: #111; }
.post-link:hover { color: #aaa; text-decoration: none; }

/** Posts */
.post-header { margin-bottom: 30px; }

.post-title { font-size: 42px; letter-spacing: -1px; line-height: 1; }
@media screen and (max-width: 800px) { .post-title { font-size: 36px; } }

.post-content { margin-bottom: 30px; }
.post-content h2 { font-size: 32px; }
@media screen and (max-width: 800px) { .post-content h2 { font-size: 28px; } }
.post-content h3 { font-size: 26px; }
@media screen and (max-width: 800px) { .post-content h3 { font-size: 22px; } }
.post-content h4 { font-size: 20px; }
@media screen and (max-width: 800px) { .post-content h4 { font-size: 18px; } }

/** Post page */
.post-page { padding-top: 60px; position: absolute; top: 0; bottom: 0; left: 0; right: 0; overflow: auto; }
.post-page .page-content { width: 920px; font-size: 16px; margin: 0 auto; }
.post-page .page-content p { line-height: 28px; }
.post-page #ds-thread #ds-reset .ds-meta { border: 0; }
.post-page #ds-thread #ds-reset .ds-comments-info { display: none; }
.post-page h1, .post-page h2, .post-page h3, .post-page h4, .post-page h5, .post-page h6, .post-page p, .post-page blockquote, .post-page pre, .post-page ul, .post-page ol, .post-page dl, .post-page figure, .post-page .highlight { margin-bottom: 30px; }

/** gooey share box */
.gooey-share-box { width: 80px; height: 80px; position: fixed; bottom: 20px; right: 20px; -webkit-filter: url("#goo"); filter: url("../index.html#goo"); }
.gooey-share-box .main-icon { width: 100%; height: 100%; background: #f59393; border-radius: 50%; position: relative; z-index: 10; -webkit-transition: all .5s; -moz-transition: all .5s; -ms-transition: all .5s; -o-transition: all .5s; transition: all .5s; }
.gooey-share-box .main-icon .duang { width: 100%; height: 100%; display: block; position: absolute; top: 0; left: 0; }
.gooey-share-box .main-icon .duang:nth-of-type(1) { -webkit-transform: rotate(-90deg); -moz-transform: rotate(-90deg); -ms-transform: rotate(-90deg); -o-transform: rotate(-90deg); transform: rotate(-90deg); }
.gooey-share-box .main-icon .duang:nth-of-type(2) { -webkit-transform: rotate(-45deg); -moz-transform: rotate(-45deg); -ms-transform: rotate(-45deg); -o-transform: rotate(-45deg); transform: rotate(-45deg); }
.gooey-share-box .main-icon .duang b { width: 100%; height: 100%; display: block; position: absolute; top: 0; left: 0; background: #f59393; border-radius: 50%; }
.gooey-share-box .main-icon .share-icon { z-index: 10; position: absolute; top: 0; left: 0; right: 0; bottom: 0; margin: auto; fill: #fff; }
.gooey-share-box .items { width: 70%; height: 70%; position: absolute; top: 0; left: 0; bottom: 0; right: 0; margin: auto; }
.gooey-share-box .items .btn { width: 100%; height: 100%; display: block; background: #f59393; border-radius: 50%; position: relative; cursor: pointer; -webkit-transition: all .2s ease-in; -moz-transition: all .2s ease-in; -ms-transition: all .2s ease-in; -o-transition: all .2s ease-in; transition: all .2s ease-in; }
.gooey-share-box .items .btn svg { position: absolute; top: 0; left: 0; bottom: 0; right: 0; margin: auto; fill: #fff; }
.gooey-share-box .items.wechat svg { -webkit-transform: rotate(-90deg); -moz-transform: rotate(-90deg); -ms-transform: rotate(-90deg); -o-transform: rotate(-90deg); transform: rotate(-90deg); }
.gooey-share-box .items.sina svg { -webkit-transform: rotate(-135deg); -moz-transform: rotate(-135deg); -ms-transform: rotate(-135deg); -o-transform: rotate(-135deg); transform: rotate(-135deg); }
.gooey-share-box .items.qq svg { -webkit-transform: rotate(-180deg); -moz-transform: rotate(-180deg); -ms-transform: rotate(-180deg); -o-transform: rotate(-180deg); transform: rotate(-180deg); }
.gooey-share-box .items:nth-of-type(2) { -webkit-transform: rotate(90deg); -moz-transform: rotate(90deg); -ms-transform: rotate(90deg); -o-transform: rotate(90deg); transform: rotate(90deg); }
.gooey-share-box .items:nth-of-type(3) { -webkit-transform: rotate(135deg); -moz-transform: rotate(135deg); -ms-transform: rotate(135deg); -o-transform: rotate(135deg); transform: rotate(135deg); }
.gooey-share-box .items:nth-of-type(3) .btn { -webkit-transition-delay: .1s; -moz-transition-delay: .1s; -ms-transition-delay: .1s; -o-transition-delay: .1s; transition-delay: .1s; }
.gooey-share-box .items:nth-of-type(4) { -webkit-transform: rotate(180deg); -moz-transform: rotate(180deg); -ms-transform: rotate(180deg); -o-transform: rotate(180deg); transform: rotate(180deg); }
.gooey-share-box .items:nth-of-type(4) .btn { -webkit-transition-delay: .2s; -moz-transition-delay: .2s; -ms-transition-delay: .2s; -o-transition-delay: .2s; transition-delay: .2s; }
.gooey-share-box.activated .main-icon { -webkit-transform: scale(0.85, 0.85); -moz-transform: scale(0.85, 0.85); -ms-transform: scale(0.85, 0.85); -o-transform: scale(0.85, 0.85); transform: scale(0.85, 0.85); }
.gooey-share-box.activated .items .btn { -webkit-transform: translate3d(0, 95px, 0); }
.gooey-share-box.activated .duang b { -webkit-animation: duang 3s ease-in-out 1; }
.gooey-share-box.activated .duang:nth-of-type(2) b { -webkit-animation-delay: .1s; }
.gooey-share-box.activated .duang:nth-of-type(3) b { -webkit-animation-delay: .2s; }
.gooey-share-box.end .main-icon { -webkit-transform: scale(1, 1); -moz-transform: scale(1, 1); -ms-transform: scale(1, 1); -o-transform: scale(1, 1); transform: scale(1, 1); }
.gooey-share-box.end .items .btn { -webkit-transform: translate3d(0, 0, 0); }
.gooey-share-box.end .duang b { -webkit-animation: duang2 3s ease-in-out 1; }
.gooey-share-box.end .duang:nth-of-type(2) b { -webkit-animation-delay: .1s; }
.gooey-share-box.end .duang:nth-of-type(3) b { -webkit-animation-delay: .2s; }

.wechat-qrcode { width: 100px; height: 100px; position: fixed; bottom: 0; opacity: 0; right: 200px; background: #fff; padding: 10px; -webkit-transition: bottom .4s, opacity .4s; -moz-transition: bottom .4s, opacity .4s; -ms-transition: bottom .4s, opacity .4s; -o-transition: bottom .4s, opacity .4s; transition: bottom .4s, opacity .4s; }
.wechat-qrcode.activated { bottom: 40px; opacity: 1; }

@media (max-width: 1200px) { .site-header .wrapper, .home-page { padding-right: 0; }
  .site-header .wrapper .category-list, .side-content, .gooey-share-box, .wechat-qrcode { display: none; } }
@-webkit-keyframes duang { 0% { -webkit-transform: scale(1, 1); }
  5% { -webkit-transform: scale(1, 1.3); }
  10% { -webkit-transform: scale(1, 0.7); }
  15% { -webkit-transform: scale(1, 1.2); }
  20% { -webkit-transform: scale(1, 0.8); }
  30% { -webkit-transform: scale(1, 1.1); }
  40% { -webkit-transform: scale(1, 0.9); }
  50% { -webkit-transform: scale(1, 1.05); }
  80% { -webkit-transform: scale(1, 0.95); }
  85% { -webkit-transform: scale(1, 1.02); }
  90% { -webkit-transform: scale(1, 0.99); }
  95% { -webkit-transform: scale(1, 1.008); }
  100% { -webkit-transform: scale(1, 1); } }
@-webkit-keyframes duang2 { 0% { -webkit-transform: scale(1, 1); }
  5% { -webkit-transform: scale(1, 1.3); }
  10% { -webkit-transform: scale(1, 0.7); }
  15% { -webkit-transform: scale(1, 1.2); }
  20% { -webkit-transform: scale(1, 0.8); }
  30% { -webkit-transform: scale(1, 1.1); }
  40% { -webkit-transform: scale(1, 0.9); }
  50% { -webkit-transform: scale(1, 1.05); }
  80% { -webkit-transform: scale(1, 0.95); }
  85% { -webkit-transform: scale(1, 1.02); }
  90% { -webkit-transform: scale(1, 0.99); }
  95% { -webkit-transform: scale(1, 1.008); }
  100% { -webkit-transform: scale(1, 1); } }
/** Syntax highlighting styles */
.highlight { background: #fff; }
.highlight .c { color: #998; font-style: italic; }
.highlight .err { color: #a61717; background-color: #e3d2d2; }
.highlight .k { font-weight: bold; }
.highlight .o { font-weight: bold; }
.highlight .cm { color: #998; font-style: italic; }
.highlight .cp { color: #999; font-weight: bold; }
.highlight .c1 { color: #998; font-style: italic; }
.highlight .cs { color: #999; font-weight: bold; font-style: italic; }
.highlight .gd { color: #000; background-color: #fdd; }
.highlight .gd .x { color: #000; background-color: #faa; }
.highlight .ge { font-style: italic; }
.highlight .gr { color: #a00; }
.highlight .gh { color: #999; }
.highlight .gi { color: #000; background-color: #dfd; }
.highlight .gi .x { color: #000; background-color: #afa; }
.highlight .go { color: #888; }
.highlight .gp { color: #555; }
.highlight .gs { font-weight: bold; }
.highlight .gu { color: #aaa; }
.highlight .gt { color: #a00; }
.highlight .kc { font-weight: bold; }
.highlight .kd { font-weight: bold; }
.highlight .kp { font-weight: bold; }
.highlight .kr { font-weight: bold; }
.highlight .kt { color: #458; font-weight: bold; }
.highlight .m { color: #099; }
.highlight .s { color: #d14; }
.highlight .na { color: #008080; }
.highlight .nb { color: #0086B3; }
.highlight .nc { color: #458; font-weight: bold; }
.highlight .no { color: #008080; }
.highlight .ni { color: #800080; }
.highlight .ne { color: #900; font-weight: bold; }
.highlight .nf { color: #900; font-weight: bold; }
.highlight .nn { color: #555; }
.highlight .nt { color: #000080; }
.highlight .nv { color: #008080; }
.highlight .ow { font-weight: bold; }
.highlight .w { color: #bbb; }
.highlight .mf { color: #099; }
.highlight .mh { color: #099; }
.highlight .mi { color: #099; }
.highlight .mo { color: #099; }
.highlight .sb { color: #d14; }
.highlight .sc { color: #d14; }
.highlight .sd { color: #d14; }
.highlight .s2 { color: #d14; }
.highlight .se { color: #d14; }
.highlight .sh { color: #d14; }
.highlight .si { color: #d14; }
.highlight .sx { color: #d14; }
.highlight .sr { color: #009926; }
.highlight .s1 { color: #d14; }
.highlight .ss { color: #990073; }
.highlight .bp { color: #999; }
.highlight .vc { color: #008080; }
.highlight .vg { color: #008080; }
.highlight .vi { color: #008080; }
.highlight .il { color: #099; }
